Name:           postfix-policyd-spf-perl
Version:        2.007
Release:        2%{?dist}
Summary:        Sender Policy Framework por postfix

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://www.openspf.org/Software
Source0:        http://www.openspf.org/blobs/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(Mail::SPF)
Requires:       perl(Mail::SPF)

%description 

This is a basic solution suitable primarily for small scale sites. It is in
maintenance only mode. If enhancements are desired, patches accepted on
spf-devel. The 2.000 series uses Julian Mehnle's Mail::SPF library. It is
RFC 4408 compliant. It caches results and will only prepend a single SPF
Received header for multi-recipient mail. It has a basic (you have to edit
the source) ability to whitelist relays and forwarders.

This is Open Patent software. 

For install details read README.RPM or http://www.howtoforge.com/postfix_spf

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_datadir}/postfix/
install -D postfix-policyd-spf-perl %{buildroot}/%{_datadir}/postfix/policyd-spf-perl

cat > README.RPM <<EOF

1) Add to /etc/postfix/master.cf:

policy  unix  -       n       n       -       -       spawn
        user=nobody argv=/usr/bin/perl /usr/share/postfix/policyd-spf-perl

2)  Add to smtpd_recipient_restrictions directive (after the reject_unauth_destination) at /etc/postfix/main.cf:

check_policy_service unix:private/policy

3) restart postfix

EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE README README.RPM CHANGES test_cases
%{_datadir}/*


%changelog

* Tue Sep 30 2008 Ismael Olea <ismael@olea.org> 2.007-2
- first version